Catmandu::Importer::Mock(3pm)

NAME
Catmandu::Importer::Mock - Mock importer used for testing purposes

SYNOPSIS
    use Catmandu;

    my $importer = Catmandu->importer('Mock');

    my $n = $importer->each(sub {
        my $hashref = $_[0];
        # ...
    });

CONFIGURATION

file
    Read input from a local file given by its path. Alternatively a scalar reference can be passed to read from a string.

fh  Read input from an IO::Handle. If not specified, Catmandu::Util::io is used to create the input stream from the "file" argument or by using STDIN.

encoding
    Binmode of the input stream "fh". Set to ":utf8" by default.

fix An ARRAY of one or more fixes or file scripts to be applied to imported items.

size
    Number of items. If not set, an endless stream is imported.

METHODS
Every Catmandu::Importer is a Catmandu::Iterable all its methods are inherited.

SEE ALSO
Catmandu::Exporter::Null